Subject: Re: Does CYGWIN work on Windows 2008 x86 architecture ?
From: [email-masked] (Freddy Jensen)
To: "[email-masked]" <[email-masked]>
Cc: [email-masked]
Date: Mon, 16 Feb 2009 08:16:19 -0800
List-Id: <cygwin.cygwin.com>

>From: Corinna Vinschen <[email-masked]>
   >Date: Mon Feb 16 2009  3:07am
   >To:   "[email-masked]" <[email-masked]>
   >Subj: Re: Does CYGWIN work on Windows 2008 x86 architecture ?
   >
   >On Feb 16 11:05, Martine Carannante wrote:
   >> Hi
   >>
   >> I try again to ask if someone has installed CYGWIN on Windows 2008 x86 
   >> architecture.
   >>
   >> It works fine on x64 architecture but bash  fails on X86 like this
   >> bash
   >>     2 [main] bash 3520 _cygtls::handle_exceptions: Exception: 
   >> STATUS_ACCESS_VIOLATION
   >>   315 [main] bash 3520 open_stackdumpfile: Dumping stack trace to 
   >> bash.exe.stackdump
   >> 430671 [main] bash 3520 _cygtls::handle_exceptions: Exception: 
   >> STATUS_ACCESS_VIOLATION
   >> 448747 [main] bash 3520 _cygtls::handle_exceptions: Error while dumping 
   >> state (
   >> probably corrupted stack)
   >>
   >> I have not found an answer in the cygwin mailing list.
   >
   >Works fine for me.  Except in one case:
   >http://cygwin.com/ml/cygwin/2008-10/msg00459.html
   >
   >I opened a support case at Microsoft but it has been refused.
   >
   >Since the problem occurs in a Microsoft DLL, we have no way to fix it
   >in Cygwin.  Cygwin 1.7 has a crude workaround for this situation,
   >though.  So your choices are
   >
   >- Deinstall Terminal Services entirely
   >- Switch off DEP
   >- Use Cygwin 1.7 (still in TEST for another few weeks)
   >
   >If it's not TS, it's probably a case of
   >http://cygwin.com/acronyms/#BLODA
   >
   >Corinna
   >
   >-- 
   >Corinna Vinschen                  Please, send mails regarding Cygwin to
   >Cygwin Project Co-Leader          cygwin AT cygwin DOT com
   >Red Hat
   >

For me it works with pre-1.7 versions of cygwin as long as I have
switched off DEP and uninstallled Terminal Services.

I think the problem is independent of whether it is x86 or x64 because
for me the problem occurs on x64.

Thanks

Freddy

--
Freddy Jensen, Sr. Computer Scientist, Adobe Systems Incorporated
345 Park Avenue, San Jose, CA 95110-2704, USA, Ph: (408) 536-2869
Email: [email-masked], URL: http://www.adobe.com
--

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/